launchpad file download urls are too long

Bug #788837 reported by Martin Pool on 2011-05-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Launchpad itself
Low
Unassigned
pad.lv
Medium
Unassigned

Bug Description

Kiko asks for a pad.lv abbreviation for project download files:

19:55 <kiko> poolie, I was wondering if you'd like to do a pad.lv shortener for download URLs
19:55 <poolie> good idea
19:56 <kiko> I wanted to use them for the component announcements we are doing
19:56 <kiko> poolie, example URL https://launchpad.net/linux-linaro/11.05/11.05-final/+download/linux-linaro-11.05-2.6.38.tar.bz2
19:56 <kiko> poolie, not sure exactly how to shorten, though :)
19:57 <poolie> indeed
19:57 <poolie> only the launchpad.net and +download bits seem trivially redundant
19:58 <poolie> imbni launcphad itself had something like
19:58 <poolie> lp.net/linux-linaro/+download/linx-linaro-...bz2
19:58 <poolie> assuming it was ok to constrain filenames to be unique across all releases
19:58 <kiko> poolie, that would definitely be nice
19:59 <kiko> pad.lv/dl/linux-linaro-11.05-2.6.38.tar.bz2
19:59 <kiko> of course, that's asking a lot
19:59 <kiko> so just below that
19:59 <kiko> pad.lv/dl/linux-linaro/linux-linaro-11.05-2.6.38.tar.bz2
20:00 <kiko> sinzui, we can't actually do that, can we?
20:00 <poolie> at the moment it just does url redirects without talking to lp's api
20:01 <poolie> eventually it would be nice to do more of this in lp itself but updating a rewrite map on my own machine is about a million times easier

Martin Pool (mbp) wrote :
Changed in pad.lv:
importance: Undecided → Medium
status: New → Confirmed
Robert Collins (lifeless) wrote :

Whats the defect as far as LP itself is concerned?

Changed in launchpad:
status: New → Incomplete
Martin Pool (mbp) wrote :

the lp bug is that the url is https://launchpad.net/linux-linaro/11.05/11.05-final/+download/linux-linaro-11.05-2.6.38.tar.bz2 when https://launchpad.net/linux-linaro/+download/linux-linaro-11.05-2.6.38.tar.bz2 - the series and milestones are almost always redundant with each other and with the filename.

Changed in launchpad:
status: Incomplete → Triaged
importance: Undecided → Low
summary: - short urls for download files
+ launchpad file download urls are too long
Martin Pool (mbp) wrote :

s//when a shorter url would be sufficient

Robert Collins (lifeless) wrote :

Ok; so we have plans ( I don't know the bug number, sorry) to rationalise the urls for series and milestones to reduce redundancy.

The milestone name shouldn't include the series in it, if folk are doing that, its a bit of a disservice being done by LP. (e.g. for a series 2.0, a milestone 1 would make sense for a 2.0.1 release...);
We definitely don't want to make filenames have to be unique across milestones/series - consider README.txt.

On 27 July 2011 20:58, Robert Collins <email address hidden> wrote:
> Ok; so we have plans ( I don't know the bug number, sorry) to
> rationalise the urls for series and milestones to reduce redundancy.

great

> The milestone name shouldn't include the series in it, if folk are doing that, its a bit of a disservice being done by LP. (e.g. for a series 2.0, a milestone 1 would make sense for a 2.0.1 release...);

I'm not sure what sense of "shouldn't" you're using here; the lp docs
and ui certainly give the impression the milestone name is meant to be
selfcontained. If you use milestones like "0" or "1" that will not
work well in things like the bug task milestone chooser, which shows
the milestone name without the series. It would seem to require
rippling changes across lp and I'm not sure if it's worth it.

> We definitely don't want to make filenames have to be unique across milestones/series - consider README.txt.

Obviously they won't always be unique, but the vast majority do have a
version number in the filename.

ARULARASU (arularasug) on 2012-02-28
Changed in launchpad:
status: Triaged → Fix Released
Changed in pad.lv:
status: Confirmed → Fix Released
Martin Pool (mbp) on 2012-02-28
Changed in launchpad:
status: Fix Released → Triaged
Changed in pad.lv:
status: Fix Released → In Progress
status: In Progress → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers